## org.eclipse.emf.mapping.xsd2ecore
Interface XSD2EcoreFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  XSD2EcoreFactoryImpl

    public interface XSD2EcoreFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `XSD2EcorePackage`

Field Summary
`static XSD2EcoreFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`XSD2EcoreMappingRoot` `createXSD2EcoreMappingRoot()` Returns a new object of class 'Mapping Root'
`XSD2EcorePackage` `getXSD2EcorePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final XSD2EcoreFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createXSD2EcoreMappingRoot

    XSD2EcoreMappingRoot createXSD2EcoreMappingRoot()

  Returns a new object of class 'Mapping Root'.

  Returns:
    a new object of class 'Mapping Root'.

### getXSD2EcorePackage

    XSD2EcorePackage getXSD2EcorePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.